#ifndef f00SceneH
#define f00SceneH


#include <vector>

#include "f00Camera.h"


class f00Scene
{
	public:

		f00Scene();

		virtual
		~f00Scene();


		virtual void
		init();

		virtual void
		renderScene();


	// GLUT interface.
	public:

		void
		mouseFunc( int button, int state, int x, int y );

		void
		resizeFunc( int w, int h );

		void
		keyFunc( unsigned char key );

		void
		idleFunc();


	// Internal stuff.
	protected:

		void
		resetCamera();


	// Data members.
	private:

		f00Camera							d_camera;
		bool									d_enableAlphaBlend;

};


#endif

